<!DOCTYPE html>
<html>
<head>
    <title>Jeu de Cartes</title>
    <style>
        .carte {
            border: 1px solid black;
            margin: 10px;
            padding: 10px;
            display: inline-block;
        }

        button {
            background-color: #4CAF50;
            border: none;
            color: white;
            padding: 15px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
            margin: 4px 2px;
            cursor: pointer;
        }

        h1 {
            color: #4CAF50;
            text-align: center;
        }

        .center {
            text-align: center;
        }
    </style>
</head>
<body>
<div class="center">
    <h1>Cartes</h1>
    <button id="btn-aleatoire">Jouer</button>
    <button id="btn-afficher">Arranger les cartes</button>
    <div id="cartes-container"></div>

    <script src="/script.js"></script>
    <script>
        document.getElementById('btn-aleatoire').addEventListener('click', function () {
            fetchCartes('/cartes/cartes-aleatoires');
        });

        document.getElementById('btn-afficher').addEventListener('click', function () {
            fetchCartes('/cartes/all');
        });

        function fetchCartes(url) {
            fetch(url)
                .then(response => response.json())
                .then(cartes => {
                    const container = document.getElementById('cartes-container');
                    container.innerHTML = '';
                    cartes.forEach(carte => {
                        const div = document.createElement('div');
                        div.classList.add('carte');
                        const img = document.createElement('img');
                        img.src = '/' + carte.couleur.toLowerCase() + '-' + carte.valeur + '.png';
                        img.width = 100;
                        img.height = 150;
                        div.appendChild(img);
                        container.appendChild(div);
                    });
                })
                .catch(error => {
                    console.error(error);
                });
        }
    </script>
</div>
</body>
</html>

